package UsageDetail

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/UsageDetail"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /usage_detail/list UsageDetail GetUsageDetailList
//
// Get usage detail list | 获取Wx列表
//
// Get usage detail list | 获取Wx列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: UsageDetailListReq
//
// Responses:
//  200: UsageDetailListResp

func GetUsageDetailListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.UsageDetailListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := UsageDetail.NewGetUsageDetailListLogic(r.Context(), svcCtx)
		resp, err := l.GetUsageDetailList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
